//---------------------------------------------------------------------------
#ifndef CTapiz_mmH
#define CTapiz_mmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "Mwajpeg.hpp"
#include <ExtCtrls.hpp>
#include "mwajpeg.hpp"
#include <Menus.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------

#define MYWM_NOTIFY         (WM_APP+100)
#define IDC_MYICON                     1006
extern HINSTANCE g_hinst;
LRESULT IconDrawItem(LPDRAWITEMSTRUCT lpdi);
//---------------------------------------------------------------------------
class TCTapiz : public TForm
{
__published:	// IDE-managed Components
    TListBox *ListBox1;
    TJPEGFileDecompressor *JPEGFileDecompressor1;
    TImage *Image1;
    TTimer *Timer1;
    TPopupMenu *PopupMenu1;
    TMenuItem *MostarCTapiz1;
    TMenuItem *Configurar1;
    TMenuItem *Cerrar1;
    TMenuItem *N1;
    TBevel *Bevel1;
    TCheckBox *CheckBox1;
    TCheckBox *CheckBox2;
    TLabel *Label1;
    TUpDown *UpDown1;
    TLabel *Label2;
    TButton *SwapFunction;
    TCheckBox *SwapActive;
    void __fastcall ListBox1DblClick(TObject *Sender);
    void __fastcall ListBox1KeyPress(TObject *Sender, char &Key);
    void __fastcall ListBox1Click(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall MostarCTapiz1Click(TObject *Sender);
    void __fastcall Cerrar1Click(TObject *Sender);
    void __fastcall Configurar1Click(TObject *Sender);
    void __fastcall CheckBox2Click(TObject *Sender);
    void __fastcall CheckBox1Click(TObject *Sender);
    void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
    void __fastcall UpDown1Changing(TObject *Sender, bool &AllowChange);
    void __fastcall RefreshYescoge(TObject *Sender);
    
    
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall SwapActiveClick(TObject *Sender);
    void __fastcall SwapFunctionClick(TObject *Sender);
    void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
      bool WallPaper_Toolbar;
      int nArchivos;
public:		// User declarations
    void PonTapiz ( AnsiString Tapiz );
    void PonToolBar ( AnsiString Tapiz );
    AnsiString EligeStylo( AnsiString IMG );
    AnsiString EligeBitmap( AnsiString iPath );
    void EligeBitmapR( AnsiString PathC );

    __fastcall TCTapiz(TComponent* Owner);


    bool AllowExit;
//---------------------------------------------------------------------------
    void __fastcall DrawItem(TMessage& Msg);
    void __fastcall MyNotify(TMessage& Msg);
    bool __fastcall TrayMessage(DWORD dwMessage);
    HANDLE __fastcall IconHandle(void);
    PSTR __fastcall TipText(void);
BEGIN_MESSAGE_MAP
MESSAGE_HANDLER(WM_DRAWITEM,TMessage,DrawItem)
MESSAGE_HANDLER(MYWM_NOTIFY,TMessage,MyNotify)
END_MESSAGE_MAP(TForm)
//---------------------------------------------------------------------------

};
//---------------------------------------------------------------------------
extern PACKAGE TCTapiz *CTapiz;
//---------------------------------------------------------------------------
#endif
